#pragma once
#include "Entity.h"
#define PESMOG_CREATENAME L"pe_smog"
//颗粒实体：烟雾
class PeSmog :
    public ActionEntity
{
public:
    PeSmog();
    void Step() override;
};

std::shared_ptr<Entity> CreatePeSmog();

//产生一些烟雾效果
void SetPeSmog(std::shared_ptr<Entity> parent, float x, float y, int nMin, int nMax, float angle);
void SetPeSmogClimb(std::shared_ptr<Entity> parent, float x, float y, int nMin, int nMax, float angle);

void SetPeSmog(std::shared_ptr<Entity> parent, float x, float y, int num);